%global srcname represent
%global sum Create __repr__ automatically or declaratively

Name:           python-%{srcname}
Version:        1.5.1
Release:        2%{?dist}
Summary:        %{sum}
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/RazerM/%{srcname}/archive/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-six
BuildRequires:  python2-pytest
BuildRequires:  python-ipython

BuildRequires:  python3-devel
BuildRequires:  python3-six
BuildRequires:  python3-pytest
BuildRequires:  python3-ipython


%description
Python package which creates __repr__ automatically or declaratively.


%package -n python2-%{srcname}
Summary: %{sum}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Python2 package which creates __repr__ automatically or declaratively.


%package -n python3-%{srcname}
Summary: A python package for music and audio analysis
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
Python3 package which creates __repr__ automatically or declaratively.


%prep
%setup -q -n %{srcname}-%{version}


%build
%py2_build
%py3_build


%install
%py2_install
%py3_install


%check
%{__python2} setup.py test
%{__python3} setup.py test


%files -n python2-%{srcname}
%doc README
%license LICENSE
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/Represent-%{version}-py?.?.egg-info

%files -n python3-%{srcname}
%doc README
%license LICENSE
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/Represent-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.1-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 22 2016 Dominika Krejci <dkrejci@redhat.com> - 1.5.1-1
- initial release

